summaryrefslogtreecommitdiffstats
path: root/packaging/makeself/install-alpine-packages.sh
diff options
context:
space:
mode:
authorJames Mills <prologic@shortcircuit.net.au>2020-05-29 12:27:22 +1000
committerGitHub <noreply@github.com>2020-05-29 12:27:22 +1000
commit5087294d8174c16b0b46fc591f3fcc716cd20023 (patch)
treeb515bd7746b18673924394f5b85d9fe839c2e8d0 /packaging/makeself/install-alpine-packages.sh
parentaff16a2dfa79e3b8ed360878837fb72446f4c591 (diff)
Add support for eBPF for Netdata static64 (kickstart-static64.sh) (#9104)
* Add tool to build the dist and static x864_64 artifacts * Add tool to bump the Netdata packaging version * Cleanup all the makeself scripts and update to Alpine 3.11 * Add zgrep and xz to Alpine 3.7 container used to build x86_64 static Netdata so check-kernel-config.sh does not fail * Explicitly bundle the -static varient of the eBPF kernel-collector library/programs
Diffstat (limited to 'packaging/makeself/install-alpine-packages.sh')
-rwxr-xr-xpackaging/makeself/install-alpine-packages.sh26
1 files changed, 11 insertions, 15 deletions
diff --git a/packaging/makeself/install-alpine-packages.sh b/packaging/makeself/install-alpine-packages.sh
index 3aee6922d0..34162804e3 100755
--- a/packaging/makeself/install-alpine-packages.sh
+++ b/packaging/makeself/install-alpine-packages.sh
@@ -7,11 +7,8 @@
#
# Author: Paul Emm. Katsoulakis <paul@netdata.cloud>
-# Packaging update
-apk update
-
# Add required APK packages
-apk add --no-cache \
+apk add --no-cache -U \
bash \
wget \
curl \
@@ -37,28 +34,27 @@ apk add --no-cache \
openssl-dev \
snappy-dev \
protobuf-dev \
- binutils ||
- exit 1
+ binutils \
+ gzip \
+ xz || exit 1
# snappy doesnt have static version in alpine, let's compile it
export SNAPPY_VER="1.1.7"
wget -O /snappy.tar.gz https://github.com/google/snappy/archive/${SNAPPY_VER}.tar.gz
-cd /
-tar -xf snappy.tar.gz
-rm snappy.tar.gz
-cd /snappy-${SNAPPY_VER}
+tar -C / -xf /snappy.tar.gz
+rm /snappy.tar.gz
+cd /snappy-${SNAPPY_VER} || exit 1
mkdir build
-cd build
+cd build || exit 1
cmake -DCMAKE_BUILD_SHARED_LIBS=true -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_INSTALL_LIBDIR=lib ../
make && make install
# Judy doesnt seem to be available on the repositories, download manually and install it
export JUDY_VER="1.0.5"
wget -O /judy.tar.gz http://downloads.sourceforge.net/project/judy/judy/Judy-${JUDY_VER}/Judy-${JUDY_VER}.tar.gz
-cd /
-tar -xf judy.tar.gz
-rm judy.tar.gz
-cd /judy-${JUDY_VER}
+tar -C / -xf /judy.tar.gz
+rm /judy.tar.gz
+cd /judy-${JUDY_VER} || exit 1
CFLAGS="-O2 -s" CXXFLAGS="-O2 -s" ./configure
make
make install